Package org.bgerp.util.sql

# Enum Class LikePattern

java.lang.Object
java.lang.Enum<LikePattern>
org.bgerp.util.sql.LikePattern

All Implemented Interfaces:
  `Serializable`, `Comparable<LikePattern>`, `Constable`

public enum LikePattern extends Enum<LikePattern>
SQL LIKE patterns generators for a substring.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `END`
  Pattern `%value`
  `EQ`
  Pattern `value`
  `START`
  Pattern `value%`
  `SUB`
  Pattern `%value%`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `get(String substr)`
  Generates pattern for a given strategy.
  `static LikePattern`
  `of(String type)`
  `static LikePattern`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LikePattern[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUB

    public static final LikePattern SUB
    Pattern `%value%`

  - ### END

    public static final LikePattern END
    Pattern `%value`

  - ### START

    public static final LikePattern START
    Pattern `value%`

  - ### EQ

    public static final LikePattern EQ
    Pattern `value`

- ## Method Details

  - ### values

    public static LikePattern[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LikePattern valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### of

    public static LikePattern of(String type)

  - ### get

    public abstract String get(String substr)
    Generates pattern for a given strategy.
    Parameters:
      `substr` - substring.
    Returns:
      `substr` for `null` or empty string or generated pattern.